Subject: Re: bug#35691: [bug-guix] remote configure failure due to bad pathnames for crt*.o

From: Giovanni Biscuolo <[email-masked]>
Date: Thu, 16 May 2019 15:18:57 +0200

Hello Nelson and Ludovic,

AFAIU this is an environment issue 

Ludovic Courtès <[email-masked]> writes:

> "Nelson H. F. Beebe" <[email-masked]> skribis:
>
>> Even after that major update, and reboot, I still find that, from a
>> remote ssh connection

Nelson please inspect the output you remotely get from:

 remote-machine$ ssh guix10.vm.example.com 'env'

compare it with the one you locally get from:

 guix10.vm.example.com$ env

and compare it with the one you remotely get from

 remote-machine$ ssh guix10.vm.example.com 'bash -l -c "env"'

(the part before the $ prompt is a fictional hostname)

User environment - essential for Guix to work - is not passed
(permitted) usually by default via ssh; the easiest option is to wrap
your command in a remote login shell invocation; in your case should be:

 remote-machine$ ssh guix10.vm.example.com 'bash -l -c "cd FOO-x.y.z ; ./configure && make all check && make install"'

[...]

> I cannot reproduce the problem.  With ‘guix environment’, as show below,
> I build an isolated environment that contains nothing but
> ‘gcc-toolchain’ and Bash:
>
> --8<---------------cut here---------------start------------->8---
> $ guix environment --ad-hoc -C gcc-toolchain
> [env]$ echo 'int main() { }' > t.c
> [env]$ gcc t.c
> [env]$ ./a.out
> --8<---------------cut here---------------end--------------->8---
>
> As you can see, I can compile and link in that environment.

Nelson was also able to compile and link locally, he is just having
problems running compilation commands remotely via ssh

Do we need to document this on the manual, if not already documented?

HTH!
Gio'.

[...]

-- 
Giovanni Biscuolo

Xelera IT Infrastructures